<?php

namespace KupShop\DevelopmentBundle\Controller;

use KupShop\ContentBundle\View\Error500View;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\Routing\Annotation\Route;

class ErrorController extends AbstractController
{
    /**
     * @Route(path="/500/")
     */
    public function error500Action(Error500View $view)
    {
        $view->setException(new \Exception('Testovací exception'))
            ->setSentryEventId('c681286ee2964bcbb5205c5b27dad971');

        return $view->getResponse();
    }
}
